import { LitElement } from 'lit';
export declare const ICON_NODE = "icon-node";
export declare class IconNodeComponent extends LitElement {
    static readonly defaultTagName = "icon-node";
    static styles: any;
    size?: string;
    scheme?: string;
    private rootClassesParts;
    willUpdate(): void;
    protected render(): any;
}
